services:
  app:
    image: registry.gitlab.com/initialcongo/jobbo_api:${IMAGE_TAG}
    container_name: jobbo
    ports:
      - "8008:80"
    env_file:
      - .env
    depends_on:
      - db
    restart: unless-stopped

  db:
    image: mysql:8.0
    container_name: jobbo-db
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: Jobbo_DB
      MYSQL_ALLOW_EMPTY_PASSWORD: "yes"
    volumes:
      - dbdata:/var/lib/mysql

volumes:
  dbdata: